jQuery(document).ready(function($) {
	var countrytrig = ['specific_billing_countries', 'specific_shipping_countries', 'specific_idd_countries'];

	refresh_wc_settings();
	refresh_edd_settings();

	$('#sms-top-up').on('click', function(e) {
		window.open("https://www.fraudlabspro.com/addon/pricing", "_blank");
	});

	$('#wc_default_checkout_form,#wc_sms_trigger,input[name=wc_trigger_countries_option],#wc_email_verify,#wc_change_order_when_verified').on('change', function(){
		refresh_wc_settings();
	});

	$('#edd_email_verify').on('change', function(){
		refresh_edd_settings();
	});

	$('.chosen').chosen();

	function refresh_wc_settings(){
		if($('#wc_default_checkout_form').is(':checked')){
			$('#wc_sms_trigger').prop('disabled', false);
		} else {
			$('#wc_sms_trigger').prop('disabled', true);
		}

		if(($.inArray($('#wc_sms_trigger').val(), countrytrig) !== -1) && ($('#wc_default_checkout_form').is(':checked'))){
			$('input[name=wc_trigger_countries_option]').prop('disabled', false);
			if($('input[name=wc_trigger_countries_option]:checked').val() == '2'){
				$('#wc_trigger_countries').prop('disabled', false);
			} else {
				$('#wc_trigger_countries').prop('disabled', true);
			}
		} else {
			$('input[name=wc_trigger_countries_option]').prop('disabled', true);
			$('#wc_trigger_countries').prop('disabled', true);
		}

		if($('#wc_email_verify').is(':checked')){
			$('#wc_email_subject').prop('disabled', false);
			$('#wc_email_content').prop('disabled', false);
			$('#wc_change_order_when_verified').prop('disabled', false);
		} else {
			$('#wc_email_subject').prop('disabled', true);
			$('#wc_email_content').prop('disabled', true);
			$('#wc_change_order_when_verified').prop('disabled', true);
		}


		if(($('#wc_email_verify').is(':checked')) && ($('#wc_change_order_when_verified').is(':checked'))){
			$('#wc_verified_status').prop('disabled', false);
		} else {
			$('#wc_verified_status').prop('disabled', true);
		}

		$('.chosen').trigger('chosen:updated');
	}

	function refresh_edd_settings(){
		if($('#edd_email_verify').is(':checked')){
			$('#edd_email_subject').prop('disabled', false);
			$('#edd_email_content').prop('disabled', false);
		} else {
			$('#edd_email_subject').prop('disabled', true);
			$('#edd_email_content').prop('disabled', true);
		}
	}
});